# Resend signatures

To resend a signature, use the following *mutation:*

```graphql
mutation{
  resendSignatures(public_ids: [
    "SIGNATURE_ID_1",
    "SIGNATURE_ID_2",
    "..."
  ])
}
```

#### Paramaters

* **public\_ids**: A list of signature IDs to be resent. These represent the `public_id` field of the signatures.

{% hint style="info" %}
This mutation accounts for the possibility that some resends may be in a timeout state. If **all** of the signature IDs have already been resent recently, you will receive the error `too_many_resent_emails`. If **only some** of them are within the resend limit, those will be skipped, and the remaining signatures will be resent.
{% endhint %}

#### Expected response

```json
{
  "data": {
    "resendSignatures": true
  }
}
```

{% hint style="info" %}
If Altair doesn't help you integrate with the API, check out some examples of how to make these requests in other ways: <https://graphql.org/graphql-js/graphql-clients/>
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autentique.com.br/api/mutations/resend-signatures.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
